/ Operators.
/ Using new names.

	.globl	asr_u

/ asr_u(u, n);
/ unsigned u; int n;
/ Performs u>>n for unsigneds.

asr_u:	mov	2(sp),r0
	mov	4(sp),r1
	beq	1f

0:	clc
	ror	r0
	dec	r1
	bne	0b

1:	rts	pc
